/**
 * @file kinetics.h
 *
 * Support for chemical kinetics calculation from C++ application programs.
 * This header file includes headers needed to create and use objects for
 * evaluating chemical kinetic mechanisms.
 */

#ifndef CXX_INCL_KINETICS
#define CXX_INCL_KINETICS

#include "kinetics/Kinetics.h"
#include "kinetics/Reaction.h"
#include "kinetics/KineticsFactory.h"
#include "kinetics/importKinetics.h"

#endif
